rem |
rem |  copy subversion locale files to debug/release build folders.
rem |
rem |  run from sc working copy root folder.
rem |

set DIR=.
set SVN=svn-1.4.0

set LAN=de
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=es
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=fr
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=it
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=ja
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=ko
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=nb
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=pl
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=pt_BR
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=sv
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=zh_CN
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo

set LAN=zh_TW
set SRC=..\..\subversion\%SVN%\Release\mo
set DST=%DIR%\bin\release\share\locale\%LAN%\LC_MESSAGES
set DSTd=%DIR%\bin\debug\share\locale\%LAN%\LC_MESSAGES
md %DST%
md %DSTd%
copy %SRC%\%LAN%.mo %DST%\subversion.mo
copy %SRC%\%LAN%.mo %DSTd%\subversion.mo


pause
